<?php
/**
 * Import customize style
 *
 * @return Css inline at header.
 *
 * @package     Zoo Theme
 * @version     1.0.0
 * @author      Zootemplate
 * @link        https://www.zootemplate.com/
 * @copyright   Copyright (c) 2018 Zootemplate
 
 */

// Render css customize
add_action('wp_enqueue_scripts', 'zoo_customze_options_inline', 99999);

if( !function_exists('zoo_customze_options_inline')){
    function zoo_customze_options_inline(){
        wp_add_inline_style('zoo-styles', zoo_customize_options());
    }
}

if (!function_exists('zoo_customize_options')) {
    function zoo_customize_options()
    {
        
        /*===============Theme Customize Style============== */
            $css = null;
            // Accent color
            $zoo_color_preset           = get_theme_mod('zoo_color_preset');

            $zoo_primary_color          = '#fc6702';
            $zoo_site_color             = '#666666';
            $zoo_site_link_color        = '#fc6702';
            $zoo_site_link_color_hover  = '#fc8435';
            $zoo_site_heading_color     = '#252525';
            switch ($zoo_color_preset) {
                case 'black':
                    $zoo_primary_color          = '#000000';
                    $zoo_site_color             = '#424242';
                    $zoo_site_link_color        = '#959595';
                    $zoo_site_link_color_hover  = '#FF3738';
                    $zoo_site_heading_color     = '#252525';
                    break;
                case 'blue':
                    $zoo_primary_color          = '#0000FF';
                    $zoo_site_color             = '#424242';
                    $zoo_site_link_color        = '#959595';
                    $zoo_site_link_color_hover  = '#FF3738';
                    $zoo_site_heading_color     = '#252525';
                    break;
                case 'red':
                    $zoo_primary_color          = '#FF0000';
                    $zoo_site_color             = '#424242';
                    $zoo_site_link_color        = '#959595';
                    $zoo_site_link_color_hover  = '#FF3738';
                    $zoo_site_heading_color     = '#252525';
                    break;
                case 'yellow':
                    $zoo_primary_color          = '#FFFF00';
                    $zoo_site_color             = '#424242';
                    $zoo_site_link_color        = '#959595';
                    $zoo_site_link_color_hover  = '#FF3738';
                    $zoo_site_heading_color     = '#252525';
                    break;
                case 'green':
                    $zoo_primary_color          = '#008000';
                    $zoo_site_color             = '#424242';
                    $zoo_site_link_color        = '#959595';
                    $zoo_site_link_color_hover  = '#FF3738';
                    $zoo_site_heading_color     = '#252525';
                    break;
                case 'grey':
                    $zoo_primary_color          = '#808080';
                    $zoo_site_color             = '#424242';
                    $zoo_site_link_color        = '#959595';
                    $zoo_site_link_color_hover  = '#FF3738';
                    $zoo_site_heading_color     = '#252525';
                    break;
                case 'custom':
                    $zoo_primary_color          = get_theme_mod('zoo_primary_color');
                    $zoo_site_color             = get_theme_mod('zoo_site_color');
                    $zoo_site_link_color        = get_theme_mod('zoo_site_link_color');
                    $zoo_site_link_color_hover  = get_theme_mod('zoo_site_link_color_hover');
                    $zoo_site_heading_color     = get_theme_mod('zoo_site_heading_color');
                    break;
                default:
                    
                    break;
            }
            /* Body color */
            if($zoo_site_color){
                $css .= 'body{color:'.$zoo_site_color.'}';
            }

            /* Primary color page option */
            if(get_post_meta(get_the_ID(),'zoo_primary_color', true)){
                $zoo_primary_color = get_post_meta(get_the_ID(),'zoo_primary_color', true);
            }
            $zoo_primary_color_class = '
                .product-image-360-view .button.product-360-view-control i,
                .woocommerce .wrap-breadcrumb .container .woocommerce-breadcrumb a:hover,
                .wrap-breadcrumb .container .zoo-breadcrumb-container a:hover,
                .elementor-widget-clever-product-grid-tabs .cafe-head-product-filter ul li a:hover,
                #site-header .element-header-account .wrap-dashboard-form .woocommerce-MyAccount-navigation a:hover,
                #site-header .woo-multi-currency.wmc-shortcode.plain-vertical .wmc-currency-wrapper .wmc-sub-currency .wmc-currency a,
                .main-content .sidebar .widget a:hover,
                a:hover,
                .zoo-woo-share li a:hover,
                .woocommerce .product_meta a:hover, 
                .woocommerce .wrap-left-custom-meta a:hover,
                .product-sidebar .zoo-ln-group-activated-filter button.zoo-ln-remove-filter-item.zoo-ln-clear-all:hover,
                .zoo-wrap-layer-filter .zoo-filter-item.selected > label,
                .zoo-wrap-layer-filter .zoo-filter-item label:hover,
                .wrap-toggle-products-layout .toggle-products-layout-button.active, 
                .wrap-toggle-products-layout .toggle-products-layout-button:hover,
                .post-loop-item.list-layout-item .zoo-post-inner .zoo-post-content .post-info li a:hover,
                .content-single .post .header-post .post-info li a:hover,
                .post-info a:hover,
                .elementor-widget-clever-posts .cafe-pagination .cafe_pagination-item.current,
                .elementor-widget-clever-posts .cafe-pagination .cafe_pagination-item:hover,
                .zoo-extend-cart-info-item a:hover,
                .navigation.pagination .page-numbers.current, 
                .navigation.pagination .page-numbers:not(.dots):hover,
                .cafe-head-product-filter ul li a.active, 
                .cafe-head-product-filter ul li a:hover, 
                .cafe-product-category-banner .cafe-button,
                .elementor-widget-clever-posts .post-loop-item .entry-title a:hover,
                .cafe-deal-action-link .action-link:hover,
                .woocommerce ul.products li.product h3.product-loop-title a:hover,
                .post-content a:hover,
                .list-label-cat a:hover,
                .zoo-single-post-nav-item span,
                .wrap-share-post .share-links li a:hover,
                .wrap-bottom-content-post .tagcloud a:hover,
                blockquote:before, 
                .blockquote:before,
                .post-info i,
                .footer-row .widget_mc4wp_form_widget .mc4wp-form .mc4wp-form-fields .button-submit input[type="submit"]:hover,
                .zoo-posts-widget .title-post a:hover,
                .zoo-posts-widget .date-post i,
                .wrap-breadcrumb .zoo-breadcrumb-container a:hover,
                .post-loop-item .entry-title a:hover
                ';
            
            $css .= $zoo_primary_color_class.'{color:'.$zoo_primary_color.'}';
            $css .= '.main-content .error-404 svg{fill:'.$zoo_primary_color.'}';

            $css .= '
                .product-image-360-view .button.product-360-view-control,
                .zoo-live-search.searching button.search-submit i:after,
                .wrap-product-sidebar .zoo-ln-group-activated-filter button.zoo-ln-remove-filter-item.zoo-ln-clear-all:hover,
                .product-sidebar .zoo-ln-slider-range.ui-widget.ui-widget-content .ui-slider-handle,
                #site-main-content .wrap-single-product-content section.products h2,
                .list-label-cat a:hover,
                .list-label-cat a,
                #zoo-back-to-top:hover,
                .post-loop-item.list-layout-item .zoo-post-inner .zoo-post-content .readmore:hover
            
            {border-color:'.$zoo_primary_color.'}';

            $css .= '
                .dot-menu.primary-color .cafe-menu li:before,
                .free-shipping-required-notice .zoo-loading-bar,
                .product-sidebar .zoo-ln-slider-range.ui-widget.ui-widget-content .ui-slider-range,
                .main-content .error-404 .error-404-content .back-to-home:after,
                .wrap-content-popup-page .close-popup-page:hover,
                .woocommerce div.product .woocommerce-tabs ul.tabs li:before,
                .filter-tabs-title-2 .cafe-head-product-filter ul li a.active, 
                .filter-tabs-title-2 .cafe-head-product-filter ul li a:hover,
                .cafe-products-wrap.layout-1 .cafe-countdown-block,
                .cafe-head-product-filter.has-border:after,
                .woocommerce .wrap-product-loop-buttons .button:hover, 
                .woocommerce .wrap-product-loop-buttons .added_to_cart:hover,
                .cafe-carousel ul.slick-dots li.slick-active,
                .sold-bar .sold-percent span,
                .grid-layout .wrap-media .sticky-post-label:before,
                .wrap-text-field .line:after,
                .comment-reply-link:hover, 
                .comment-edit-link:hover,
                .list-label-cat a,
                .post-info a:after,
                body .sidebar.widget-area .widget.widget_nav_menu ul li a:before, 
                body .sidebar.widget-area .widget.widget_recent_entries ul li a:before, 
                body .sidebar.widget-area .widget.widget_meta ul li a:before, 
                body .sidebar.widget-area .widget.widget_categories ul li a:before, 
                body .sidebar.widget-area .widget.widget_archive ul li a:before, 
                body .sidebar.widget-area .widget.widget_pages ul li a:before,
                body .sidebar.widget-area .widget .widget-title:after,
                .site-footer .widget.widget_nav_menu ul li a:before, 
                .site-footer .widget.widget_recent_entries ul li a:before, 
                .site-footer .widget.widget_meta ul li a:before, 
                .site-footer .widget.widget_categories ul li a:before, 
                .site-footer .widget.widget_archive ul li a:before, 
                .site-footer .widget.widget_pages ul li a:before,
                .site-footer .widget-title:after,
                #zoo-back-to-top:hover,
                
                .post-loop-item .sticky-post-label,
                .post-loop-item.list-layout-item .zoo-post-inner .zoo-post-content .readmore:hover,
                .post-loop-item.list-layout-item .zoo-post-inner .zoo-post-content .post-info li a:after
                

            {background:'.$zoo_primary_color.'}';
                

            // Button
            $zoo_button_color = get_theme_mod('zoo_button_color','#fff');
            $zoo_button_background_color = get_theme_mod('zoo_button_background_color','#fc6702');
            $zoo_button_color_hover = get_theme_mod('zoo_button_color_hover','#fff'); 
            $zoo_button_background_color_hover = get_theme_mod('zoo_button_background_color_hover','#000');

            if($zoo_button_color){
                $css .= '
                #zoo-theme-dev-actions .button,
                .woocommerce .woocommerce-cart-form .button,
                .main-content .widget .tagcloud a,
                .post-loop-item .readmore,
                .wpcf7-form .wpcf7-submit,
                .woocommerce #respond input#submit, 
                .woocommerce-checkout #payment .button, 
                .woocommerce-checkout #payment .button, 
                .woocommerce-checkout #payment .added_to_cart, 
                #add_payment_method .wc-proceed-to-checkout a.checkout-button, 
                .woocommerce-cart .wc-proceed-to-checkout a.checkout-button, 
                .woocommerce .widget_shopping_cart .buttons a,
                #zoo-theme-dev-actions .button,
                .btn, 
                input[type="submit"], 
                .button, 
                button, 
                .wp-block-button.is-style-squared .wp-block-button__link
                  
                {color:'.$zoo_button_color.'}';
            }
            if($zoo_button_background_color){
                $css .= '
                #zoo-theme-dev-actions .button,
                .woocommerce .woocommerce-cart-form .button,
                .main-content .widget .tagcloud a,
                .post-loop-item .readmore,
                .wpcf7-form .wpcf7-submit,
                .woocommerce #respond input#submit, 
                .woocommerce-checkout #payment .button, 
                .woocommerce-checkout #payment .button, 
                .woocommerce-checkout #payment .added_to_cart, 
                #add_payment_method .wc-proceed-to-checkout a.checkout-button, 
                .woocommerce-cart .wc-proceed-to-checkout a.checkout-button, 
                .woocommerce .widget_shopping_cart .buttons a,
                #zoo-theme-dev-actions .button,
                .btn, 
                input[type="submit"], 
                .button, 
                button, 
                .wp-block-button.is-style-squared .wp-block-button__link
                
                {background:'.$zoo_button_background_color.'}';
            }
            if($zoo_button_color_hover){
                $css .= '
                #zoo-theme-dev-actions .button:hover,
                .woocommerce .woocommerce-cart-form .button:hover,
                .main-content .widget .tagcloud a:hover,
                .post-loop-item .readmore:hover,
                .wpcf7-form .wpcf7-submit:hover,
                .woocommerce #respond input#submit:hover, 
                .woocommerce-checkout #payment .button:hover, 
                .woocommerce-checkout #payment .button:hover, 
                .woocommerce-checkout #payment .added_to_cart:hover, 
                #add_payment_method .wc-proceed-to-checkout a.checkout-button:hover, 
                .woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover, 
                .woocommerce .widget_shopping_cart .buttons a:hover,
                #zoo-theme-dev-actions .button:hover,
                .btn:hover, 
                input[type="submit"]:hover, 
                .button:hover, 
                button:hover, 
                .wp-block-button.is-style-squared .wp-block-button__link:hover
                   
                {color:'.$zoo_button_color_hover.'}';
            }
            if($zoo_button_background_color_hover){
                $css .= '
                #zoo-theme-dev-actions .button:hover,
                .woocommerce .woocommerce-cart-form .button:hover,
                .main-content .widget .tagcloud a:hover,
                .post-loop-item .readmore:hover,
                .wpcf7-form .wpcf7-submit:hover,
                .woocommerce #respond input#submit:hover, 
                .woocommerce-checkout #payment .button:hover, 
                .woocommerce-checkout #payment .button:hover, 
                .woocommerce-checkout #payment .added_to_cart:hover, 
                #add_payment_method .wc-proceed-to-checkout a.checkout-button:hover, 
                .woocommerce-cart .wc-proceed-to-checkout a.checkout-button:hover, 
                .woocommerce .widget_shopping_cart .buttons a:hover,
                #zoo-theme-dev-actions .button:hover,
                .btn:hover, 
                input[type="submit"]:hover, 
                .button:hover, 
                button:hover, 
                .wp-block-button.is-style-squared .wp-block-button__link:hover
                
                {background:'.$zoo_button_background_color_hover.'}';
            }

            /* == Header == */
            
            // Header transparent
            if(get_post_meta(get_the_ID(),'zoo_enable_header_transparent', true)){
                $css .= '
                #site-header{
                        position: absolute;
                        width: 100%;
                        z-index: 999;
                }';
            }

            /* ========Header builder custom============*/
            $header_search_box_button_label = get_theme_mod('header_search_box_button_label');
            if($header_search_box_button_label){
                $css .= '
                    @media (min-width:1400px) {
                        .header-search-box .header-search-form .button.search-submit{
                            display: flex;
                        }
                        .header-search-box:not(.active) .header-search-form .button.search-submit i{
                            display: none;
                        }
                }
                ';
            }
            //Main Content
            $zoo_body_background = get_post_meta(get_the_ID(),'zoo_body_background', true);
            if( $zoo_body_background ){
                $css .= '.page-main-content{background: '.$zoo_body_background.'}';
            }
            if(!get_theme_mod('zoo_enable_rtl', '1')){
                $css .= '#zoo-theme-dev-actions{display: none}';
            }
            

        /* ==============End Theme Customize Style ===========================*/
        return $css;
    }
}